
           <!--//Page-footer//-->
           <footer class="pb-4 px-4 px-lg-8">
              <div class="container-fluid px-0">
                <span class="d-block lh-sm small text-muted text-end">&copy;
                  <script>
                    document.write(new Date().getFullYear())
                  </script>. Copyright
                </span>
              </div>
            </footer>
            <!--/.Page Footer End-->

        </main>
        <!--///////////Page content wrapper End///////////////-->
      </div>
    </div>
    
    <!--////////////Theme Core scripts Start/////////////////-->

    <script src="<?php echo THEME_BASEURL; ?>assets/vendor/feather.min.js"></script>
    <script src="<?php echo THEME_BASEURL; ?>assets/js/theme.bundle.js"></script>
    <script>
      feather.replace()
    </script>

    <!--////////////Theme Core scripts End/////////////////-->


    <!--Charts-->
    <script src="<?php echo THEME_BASEURL; ?>assets/vendor/apexcharts.min.js"></script>
    <script src="<?php echo THEME_BASEURL; ?>assets/vendor/chart.min.js"></script>
    <!--Dashboard duration calendar-->
    <script src="<?php echo THEME_BASEURL; ?>assets/vendor/moment.min.js"></script>
    <script src="<?php echo THEME_BASEURL; ?>assets/vendor/daterangepicker.js"></script>
    <script>
      $(function () {

        

      });

      function updateList(val){
        if(val == '0'){
            $('.loc-pda').show();
            $('.loc-pch').show();
        }else if(val == 'PDA'){
            $('.loc-pda').show();
            $('.loc-pch').hide();
        }else if(val == 'PCH'){
            $('.loc-pda').hide();
            $('.loc-pch').show();
        }
      }

      function hexToRGB(hex, alpha) {
    var r = parseInt(hex.slice(1, 3), 16),
        g = parseInt(hex.slice(3, 5), 16),
        b = parseInt(hex.slice(5, 7), 16);

    if (alpha) {
        return "rgba(" + r + ", " + g + ", " + b + ", " + alpha + ")";
    } else {
        return "rgb(" + r + ", " + g + ", " + b + ")";
    }
}
      //Chart colors
      var style = getComputedStyle(document.body);
var rgbaWarning = hexToRGB(style.getPropertyValue('--bs-warning'), 0.15);
var rgbaSuccess = hexToRGB(style.getPropertyValue('--bs-success'), 0.15);
var rgbaPrimary = hexToRGB(style.getPropertyValue('--bs-primary'), 0.15);
var rgbaDanger = hexToRGB(style.getPropertyValue('--bs-danger'), 0.15);
      var cPrimary = style.getPropertyValue('--bs-primary');
      var cWarning = style.getPropertyValue('--bs-warning');
      var cSecondary = style.getPropertyValue('--bs-secondary');
      var cSuccess = style.getPropertyValue('--bs-success');
      var cInfo = style.getPropertyValue('--bs-info');
      var cDanger = style.getPropertyValue('--bs-danger');
      var cMuted = style.getPropertyValue('--bs-gray-500');
      var cLight = style.getPropertyValue('--bs-gray-100');
      var cGray = style.getPropertyValue('--bs-gray-300');
      var cFont = style.getPropertyValue('--bs-font-sans-serif');
      var bgBody = style.getPropertyValue('--bs-body-bg');
      var cBody = style.getPropertyValue('--bs-body-color');
      Chart.defaults.font.family = cFont;
      
    </script>